# $Revision: 1.39.2.2 $, $Date: 2004/11/29 08:55:04 $
# $Id: rc-inetd.spec,v 1.39.2.2 2004/11/29 08:55:04 hawk Exp $
Summary:	Wrapper for managing inet service using any kind inet daemon
Summary(pl):	Skrypty do zarzdzania usugami inet
Name:		rc-inetd
Version:	0.16
Release:	2.1
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	d0cd4c2d0ec24d4c57f87c183123d3f9
Patch0:		%{name}.fix
Patch1:		%{name}-noservices.patch
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	inetdaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wrapper for managing inet service using any kind inet daemon.

%description -l pl
Skrypty do zarzdzania usugami inet przy uyciu dowolnego rodzaju
demona inet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig/rc-inetd}

install rc-inetd $RPM_BUILD_ROOT/etc/rc.d/init.d
install rc-inetd.conf $RPM_BUILD_ROOT/etc/sysconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rc-inetd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start rc-inetd service."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/rc-inetd ]; then
		/etc/rc.d/init.d/rc-inetd stop 1>&2
	fi
	/sbin/chkconfig --del rc-inetd
fi

%files
%defattr(644,root,root,755)
%doc template_inetd template_service
%attr(754,root,root) /etc/rc.d/init.d/rc-inetd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd.conf
%dir /etc/sysconfig/rc-inetd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-inetd.spec,v $
Revision 1.39.2.2  2004/11/29 08:55:04  hawk
- fix for bug#886: don't crash if there are no services installed

Revision 1.39.2.1  2003/09/27 23:23:05  ankry
- typo

Revision 1.39  2003/09/26 13:38:07  ankry
- added patch syncing with CVS

Revision 1.38  2003/09/22 22:21:19  hunter
-now it should work.

Revision 1.37  2003/09/19 14:03:34  hunter
- change source -> version++

Revision 1.36  2003/09/18 22:32:26  hunter
-probably a bug fix with some /bin/sh

Revision 1.35  2003/09/13 23:24:25  hunter
- Work!

Revision 1.34  2003/09/13 23:22:52  hunter
- hashed source0

Revision 1.33  2003/09/13 23:17:48  hunter
- up to 0.15

Revision 1.32  2003/09/13 22:20:13  hunter
--more appropriate source url.

Revision 1.31  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.30  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 06:26:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.27  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/01/22 21:23:47  mkochano
- Version 0.14.
- Corrected /etc/rc.d/init.d/rc-inetd script so it will not incorrectly
  complain about service not running.

Revision 1.22  2001/01/21 12:22:56  zagrodzki
- updated to 0.13

Revision 1.21  2000/11/03 15:51:38  kloczek
- adapterized.

Revision 1.20  2000/11/03 14:13:24  misiek
version 0.12; bugfix release

Revision 1.19  2000/06/30 20:11:11  zagrodzki
- release 2
- prereq: chkconfig

Revision 1.18  2000/05/21 16:35:40  kloczek
- new version 0.11:
  - /etc/rc.d/init.d/rc-inetd - typo (Msg_NotRunning -> Msg_Not_Running)
    (zagrodzki),
- fix: added missing %post, %preun sections.

Revision 1.17  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.16  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.14  2000/03/28 13:11:40  baggins
- version 0.10, compatible with rc-scripts 0.2.0

Revision 1.13  2000/03/01 17:35:26  kloczek
- release 0.9,
- Defaults are readed for each service. Without this they apply only to the
  first service (mkochano).

Revision 1.12  1999/12/21 18:51:25  kloczek
- release 0.8.2,
- fixed sanity checking on top start and reload,
- added missing busy() after displaing message about reloading configuration.

Revision 1.11  1999/12/21 15:00:20  kloczek
- new version 0.8.1:
  - changed reload scheme (now reload is slyghtly simpler): all reloading
    tasks must be provided by backend inet servise script in reload_config()
    function.

    NOTE: all new inet serwers packages from now must require rc-inet >=
    0.8.1 also packages which provides inet services managed by rc-inetd
    _if_ uses in %post reloading inet serwer configuration must require
    rc-inet >= 0.8.1.

  - added sanity checking is inet service runed on top start, reload
    targets.

Revision 1.10  1999/12/19 00:52:21  bszx
 - update to 0.8

Revision 1.9  1999/10/23 08:02:44  waszi
- update to 0.7

Revision 1.8  1999/10/22 09:32:49  wiget
- added templete* as %%doc
- fixed bug in rc-inetd
- bzip2ed tarball

Revision 1.7  1999/10/14 00:16:09  kloczek
- new version 0.5,
- fixed handling empty services database (baggins).

Revision 1.6  1999/10/10 14:41:51  baggins
- updated to 0.4

Revision 1.5  1999/10/03 17:31:12  kloczek
- added missing %dir /etc/sysconfig/rc-inetd.

Revision 1.4  1999/10/03 16:00:21  kloczek
- version 0.3,
- fix including $PREAMBULE in config file (wiget).

Revision 1.3  1999/10/03 15:24:23  kloczek
Version 0.2 (bunch fixes):
- in main script added missing deltext() (waszi),
- SONFIG_FILE -> CONFIG_FILE nad INET_NAME -> PROCESS_NAME (waszi),
- fixed stop and restart target (wiget),
- solve name space colision (wiget),
- fix show() message in main script (wiget).

Revision 1.2  1999/09/02 07:47:42  kloczek
- build as noarch,
- s/BuildPrereq/Requires/; s/clear/clean/.

Revision 1.1  1999/09/02 07:44:43  kloczek
- initial version spec file for rc-inetd.
